CSINH(3)

NAME
csinh, csinhf, csinhl - complex hyperbolic sine

SYNOPSIS
#include <complex.h>

double complex csinh(double complex z);
float complex csinhf(float complex z);
long double complex csinhl(long double complex z);

Link with -lm.

DESCRIPTION
These functions calculate the complex hyperbolic sine of z. The complex hyperbolic sine function is defined as:
    csinh(z) = (exp(z)-exp(-z))/2

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
C99, POSIX.1-2001, POSIX.1-2008.

SEE ALSO
cabs(3), casinh(3), ccosh(3), ctanh(3), complex(7)

COLOPHON
This page is part of release 4.12 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.